ntlm_sspi_auth.exe(8)

NAME
ntlm_sspi_auth.exe - Native Windows NTLM/NTLMv2 authenticator for Squid

Version 1.22

SYNOPSIS
ntlm_sspi_auth.exe [-dhv] [-A Group Name ] [-D Group Name ]

DESCRIPTION
ntlm_sspi_auth.exe is an installed binary built on Windows systems. It provides native access to the Security Service Provider Interface of Windows for authenticating with NTLM / NTLMv2. It has automatic support for NTLM NEGOTIATE packets.

OPTIONS

-A  Specify a Windows Local Group name allowed to authenticate.

-d  Write debug info to stderr.

-D  Specify a Windows Local Group name which is to be denied authentication.

-h  Display the binary help and command line syntax info using stderr.

-v  Enables verbose NTLM packet debugging.

CONFIGURATION

Allowing Users

Users that are allowed to access the web proxy must have the Windows NT User Rights "logon from the network".

Optionally the authenticator can verify the NT LOCAL group membership of the user against the User Group specified in the Authenticator's command line.

This can be accomplished creating a local user group on the NT machine, grant the privilege, and adding users to it, it works only with MACHINE Local Groups, not Domain Local Groups.

Better group checking is available with external ACL, see ext_ad_group_acl.exe documentation.

squid.conf typical minimal required changes:
    auth_param ntlm program c:/squid/libexec/ntlm_sspi_auth.exe auth_param ntlm children 5
    acl password proxy_auth REQUIRED
    http_access allow password http_access deny all

Refer to Squid documentation for more details.

Internet Explorer has some problems with ftp:// URLs when handling internal Squid FTP icons. The following squid.conf ACL works around this when placed before the authentication ACL:
    acl internal_icons urlpath_regex -i /squid-internal-static/icons/
    http_access allow our_networks internal_icons

AUTHOR
This program was written by Guido Serassio <guido.serassio@acmeconsulting.it>

Based on prior work in by Francesco Chemolli <kinkie@squid-cache.org> Robert Collins <lifeless@squid-cache.org>

This manual was written by Guido Serassio <guido.serassio@acmeconsulting.it> Amos Jeffries <amosjeffries@squid-cache.org>

COPYRIGHT

 * Copyright (C) 1996-2016 The Squid Software Foundation and contributors
 *
 * Squid software is distributed under GPLv2+ license and includes
 * contributions from numerous individuals and organizations.
 * Please see the COPYING and CONTRIBUTORS files for details.

This program and documentation is copyright to the authors named above.

Distributed under the GNU General Public License (GNU GPL) version 2 or later (GPLv2+).

QUESTIONS
Questions on the usage of this program can be sent to the Squid Users mailing list <squid-users@squid-cache.org>

REPORTING BUGS
Bug reports need to be made in English. See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.

Report bugs or bug fixes using http://bugs.squid-cache.org/

Report serious security bugs to Squid Bugs <squid-bugs@squid-cache.org>

Report ideas for new improvements to the Squid Developers mailing list <squid-dev@squid-cache.org>

SEE ALSO
squid(8), GPL(7),
The Squid FAQ wiki http://wiki.squid-cache.org/SquidFaq
The Squid Configuration Manual http://www.squid-cache.org/Doc/config/